Hive Streaming

Get event session

GET
/v1/events/sessions/{eventSessionId}

Returns a single event session.

Authorization

httpAuth
headerAuthorizationBearer <token>

Path Parameters

eventSessionId*string

Query Parameters

aggr?string

Header Parameters

platform-id*string
tenant-id*string
Origin?string
Referer?string

Response Body

application/json
  1. response
eventSessionId*string
Formatuuid
platformId*string
tenantId*string
contentId*string
eventName?string
startedAt*string
Formatdate-time
updatedAt*string
Formatdate-time
hasEnded*boolean
viewersCount*integer
Formatint32
reliabilityScore*number
Formatfloat
cdnTraffic*integer
Formatint64
ecdnTraffic*integer
Formatint64
curl -X GET "https://example.com/v1/events/sessions/string" \  -H "platform-id: string" \  -H "tenant-id: string"
{  "eventSessionId": "cdd6267e-a81b-463f-8906-4e81d1f0e66b",  "platformId": "string",  "tenantId": "string",  "contentId": "string",  "eventName": "string",  "startedAt": "2019-08-24T14:15:22Z",  "updatedAt": "2019-08-24T14:15:22Z",  "hasEnded": true,  "viewersCount": 0,  "reliabilityScore": 0.1,  "cdnTraffic": 0,  "ecdnTraffic": 0}